/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "src/styles/openk.styles";

:host {
  display: block;
  width: 100%;
}

.nav-header-menu {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  width: 100%;
  height: 50px;
  margin: 0 1em 0 auto;
  background: $openk-header-gradient;
}

.nav-header-menu-anchor {
  margin-right: 0.5em;
}

.nav-header-menu-anchor---large-icon {
  --icon-scale-factor: 0.9;
}

.nav-header-title {
  text-decoration: none !important;
  outline: none;
  margin-left: 5px;
  margin-right: auto;
  height: 100%;
  display: flex;
  align-items: center;
  font-size: 18px;
  line-height: 20px;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.nav-header-title-active {
  cursor: default;
  pointer-events: none;
}

.nav-header-title-logo {
  height: 100%;
}

.nav-header-title-open {
  color: #000000;
  font-size: 1.8em;
  font-weight: 500;
  text-transform: lowercase;
  padding-bottom: 4px;
  padding-left: 2.5px;
}

.nav-header-title-konsequenz {
  margin-left: 3px;
  font-size: 1.35em;
  color: #000000;
  text-transform: uppercase;
  font-weight: 300;
  padding-top: 1px;
  padding-right: 15px;
}

.nav-header-border {
  height: 4px;
  width: 100%;
  background: $openk-header-gadient-border;
}
